Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1354660

Summary: flow control in replication also blocks receiving results
Product: Red Hat Enterprise Linux 7 Reporter: Noriko Hosoi <nhosoi>
Component: 389-ds-baseAssignee: Noriko Hosoi <nhosoi>
Status: CLOSED ERRATA QA Contact: Viktor Ashirov <vashirov>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.3CC: mreynolds, nkinder, rmeggins, sramling
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 389-ds-base-1.3.5.10-4.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-03 20:44:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Noriko Hosoi 2016-07-11 21:43:09 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48767

In ticket 47942 a flow control was introduced to reduce the load of a replication consume. It adds some pauses in the asynch sending of updates.
Unfortunately while it pauses it holds the reader lock, so that the result reader thread is also paused

Comment 2 Sankar Ramalingam 2016-09-15 12:25:22 UTC
Hi Mark, request you to add steps to verify this bugzilla. Thanks!

Comment 3 mreynolds 2016-09-15 13:23:45 UTC
(In reply to Sankar Ramalingam from comment #2)
> Hi Mark, request you to add steps to verify this bugzilla. Thanks!

There is nothing to verify.  This "fix" is a potential performance improvement in replication, and nothing else.  I suppose the only thing to verify is if replication still works.

Comment 4 Sankar Ramalingam 2016-09-15 18:32:25 UTC
(In reply to mreynolds from comment #3)
> (In reply to Sankar Ramalingam from comment #2)
> > Hi Mark, request you to add steps to verify this bugzilla. Thanks!
> 
> There is nothing to verify.  This "fix" is a potential performance
> improvement in replication, and nothing else.  I suppose the only thing to
> verify is if replication still works.

Thanks Mark!. I will check reliab15 results + dsReplication tier1/2/3 tests and then mark it as Verified.

Comment 5 Sankar Ramalingam 2016-09-19 13:56:33 UTC
1. Reliab15 test results seems to be good with the latest build of 389-ds-base-1.3.5.10-11 build. 
2. I didn't observe any issues with replication so far with my testing.
3. No regression or failures reported from MMR tests in TET acceptance.

Based on above, I am marking the bug as Verified.

Comment 7 errata-xmlrpc 2016-11-03 20:44:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html